<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-header](./foundation-header.md) &gt; [Navigation](./foundation-header.navigation.md) &gt; [logout](./foundation-header.navigation.logout.md)

## Navigation.logout() method

Logs the user out of their session

**Signature:**

```typescript
logout(): Promise<void>;
```
**Returns:**

Promise&lt;void&gt;

## Remarks

Activated when the user clicks on the logout button on the right hand side of the navigation bar. Requires the usage of the auth functionality from .

